/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PricingCategoria;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPricingCategoria implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PricingCategoria pc = (PricingCategoria) o;

        Listcell lc = new Listcell();

        if (pc.getCategoria() != null) {
            lc = new Listcell(pc.getCategoria().getDesccategoria());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", pc);
    }
}
